package testing;

import testing.Testing;
import junit.framework.TestCase;

/** Tests de la fonction oddOrPos avec JUnit 3.8 */
public class TestOddOrPos extends TestCase {

	/** Test avec null */
	public void testNullArray() {
		try {
			Testing.oddOrPos(null);
			fail();
		} catch (NullPointerException e) {
			// OK
		}
	}

	/** Test avec un tableau vide */
	public void testEmptyArray() {
		int[] x = {};
		assertEquals(0, Testing.oddOrPos(x));
	}

	/** Test avec un tableau non vide sans entier impair ngatif */
	public void testWithoutOddNegativeValues() {
		int[] x = { 3, -2, 0, 1, 4 };
		assertEquals(3, Testing.oddOrPos(x));
	}

	/** Test avec un tableau contenant un entier impair ngatif */
	public void testWithOddNegativeValues() {
		int[] x = { -3, -2, 0, 1, 4 };
		assertEquals(3, Testing.oddOrPos(x));
	}

}
