package testing;

import static org.junit.Assert.*;

import org.junit.Test;

import testing.Testing;

/** Tests de la fonction countPositive avec JUnit 4 */
public class TestCountPositiveV4 {

	/** Test avec null */
	@Test(expected = NullPointerException.class)
	public void nullArray() {
		Testing.countPositive(null);
	}
	
	/** Test avec un tableau vide */
	@Test
	public void emptyArray() {
		int[] x = {};
		assertEquals(0, Testing.countPositive(x));
	}

	/** Test avec un tableau non vide sans zro */
	@Test
	public void withoutZero() {
		int[] x = { -4, 2, 1, 2 };
		assertEquals(3, Testing.countPositive(x));
	}

	/** Test avec un tableau contenant un zro */
	@Test
	public void withZero() {
		int[] x = { -4, 2, 0, 2 };
		assertEquals(2, Testing.countPositive(x));
	}

}
