package testing;

import org.junit.*;

import testing.Testing;

import static org.junit.Assert.*;

/** Tests de la fonction oddOrPos avec JUnit 4 */
public class TestOddOrPosV4 {

	/** Test avec null */
	@Test(expected = NullPointerException.class)
	public void nullArray() {
		Testing.oddOrPos(null);
	}

	/** Test avec un tableau vide */
	@Test
	public void emptyArray() {
		int[] x = {};
		assertEquals(0, Testing.oddOrPos(x));
	}

	/** Test avec un tableau non vide sans entier impair ngatif */
	@Test
	public void withoutOddNegativeValues() {
		int[] x = { 3, -2, 0, 1, 4 };
		assertEquals(3, Testing.oddOrPos(x));
	}

	/** Test avec un tableau contenant un entier impair ngatif */
	@Test
	public void withOddNegativeValues() {
		int[] x = { -3, -2, 0, 1, 4 };
		assertEquals(3, Testing.oddOrPos(x));
	}

}
