package testing;

import testing.Testing;
import junit.framework.TestCase;

/** Tests de la fonction countPositive avec JUnit 3.8*/
public class TestCountPositive extends TestCase {

	/** Test avec null */
	public void testNullArray() {
		try {
			Testing.countPositive(null);
			fail();
		} catch (NullPointerException e) {
			// OK
		}
	}
	
	/** Test avec un tableau vide */
	public void testEmptyArray() {
		int[] x = {};
		assertEquals(0, Testing.countPositive(x));
	}
	
	/** Test avec un tableau non vide sans zro */
	public void testWithoutZero() {
		int[] x = {-4, 2, 1, 2};
		assertEquals(3, Testing.countPositive(x));
	}
	
	/** Test avec un tableau contenant un zro */
	public void testWithZero() {
		int[] x = {-4, 2, 0, 2};
		assertEquals(2, Testing.countPositive(x));
	}
	
}
